%define upstream_name    HTML-WikiConverter
%define upstream_version 0.68

%global __requires_exclude perl\\(CGI::Application\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

summary:    HTML-WikiConverter - An HTML to wiki markup converter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(URI)
BuildRequires:  perl(HTML::Tree)
BuildRequires:  perl(CSS)
BuildRequires:  perl(Params::Validate)
BuildArch:      noarch


%description
HTML::WikiConverter is an HTML to wiki converter. It can convert HTML
source into a variety of wiki markups, called wiki "dialects".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# %%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE README META.yml
%{_mandir}/*/*
%{_bindir}/*
%{perl_vendorlib}/HTML


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.680.0-9pclos2017
- rebuild against updates

